> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hasmcp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Provider



## OpenAPI

````yaml get /providers/{id}
openapi: 3.0.4
info:
  title: HasMCP Manager API
  version: 1.0.0
  description: >-
    API for managing HasMCP components like Variables, Providers, MCP Servers,
    Resources, and Prompts.
servers: []
security:
  - bearerAuth: []
paths:
  /providers/{id}:
    get:
      summary: Get Provider
      operationId: getProvider
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            description: Provider ID
      responses:
        '200':
          description: Provider details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetProviderResponse'
      security:
        - oauth2:
            - provider:read
components:
  schemas:
    GetProviderResponse:
      type: object
      properties:
        provider:
          $ref: '#/components/schemas/Provider'
    Provider:
      type: object
      properties:
        id:
          type: string
          pattern: ^[A-Za-z0-9]{11}$
          example: kSuB9Gf6aD4
          readOnly: true
        createdAt:
          type: string
          format: date-time
          readOnly: true
        updatedAt:
          type: string
          format: date-time
          readOnly: true
        version:
          type: integer
          format: int32
          readOnly: true
        apiType:
          type: string
          description: '0: INVALID, 1: REST'
          example: REST
        visibilityType:
          type: string
          description: '0: INVALID, 1: INTERNAL, 2: PUBLIC'
          example: PUBLIC
        baseURL:
          type: string
          format: uri
        documentURL:
          type: string
          format: uri
        iconURL:
          type: string
          format: uri
        secretPrefix:
          type: string
          readOnly: true
        name:
          type: string
        description:
          type: string
        tools:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ProviderTool'
        oauth2Config:
          $ref: '#/components/schemas/ProviderOAuth2Config'
    ProviderTool:
      type: object
      properties:
        id:
          type: string
          pattern: ^[A-Za-z0-9]{11}$
          example: kSuB9Gf6aD4
          readOnly: true
        providerID:
          type: string
          pattern: ^[A-Za-z0-9]{11}$
          example: kSuB9Gf6aD4
        method:
          type: string
          example: GET
        path:
          type: string
          example: /users/{id}
        name:
          type: string
          description: MCP tool name (camelCase up to 20chars)
          example: makePayment
        title:
          type: string
          description: MCP tool title (Free text up to 64 chars)
          example: Make Payment
        description:
          type: string
        pathArgsJSONSchema:
          type: object
          description: A raw JSON schema.
          additionalProperties: true
        queryArgsJSONSchema:
          type: object
          description: A raw JSON schema.
          additionalProperties: true
        reqBodyJSONSchema:
          type: object
          description: A raw JSON schema.
          additionalProperties: true
        headers:
          type: array
          items:
            $ref: '#/components/schemas/ToolHeader'
        oauth2Scopes:
          type: array
          items:
            type: string
    ProviderOAuth2Config:
      type: object
      properties:
        clientID:
          type: string
        clientSecret:
          type: string
        authURL:
          type: string
          format: uri
        tokenURL:
          type: string
          format: uri
    ToolHeader:
      type: object
      properties:
        key:
          type: string
        value:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Enter 'Bearer' followed by a space and your token (e.g., 'Bearer
        ${HASMCP_ACCESS_TOKEN}').
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://accounts.hasmcp.com/oauth2/auth
          tokenUrl: https://accounts.hasmcp.com/oauth2/token
          scopes:
            gitconnection:list: List Git connections
            gitconnection:delete: Delete Git connection
            variable:list: List variables
            variable:create: Create variable
            variable:update: Update variable
            variable:delete: Delete variable
            provider:list: List providers
            provider:create: Create provider
            provider:read: Get provider
            provider:update: Update provider
            provider:delete: Delete provider
            server:list: List MCP servers
            server:create: Create MCP server
            server:read: Get MCP server
            server:update: Update MCP server
            server:delete: Delete MCP server
            server:create_token: Create MCP server token

````